﻿''' <summary>
''' [UC]ラジオボタンコントロール
''' </summary>
''' <remarks>
''' 
''' 更新日  ：
''' 更新内容：
''' 
''' </remarks>
Public Class UcRadioButton
    Inherits RadioButton

#Region "変数"

    'プロパティ用
    Private _initialValue As String = ""

#End Region

#Region "プロパティ（新規追加）"

    ''' <summary>
    ''' 初期値の取得・設定
    ''' </summary>
    ''' <value></value>
    ''' <returns></returns>
    ''' <remarks></remarks>
    <System.ComponentModel.DefaultValue("")> _
    Public Property InitialValue() As String
        Get
            Return _initialValue
        End Get
        Set(ByVal Value As String)
            _initialValue = Value
        End Set
    End Property

#End Region

#Region "イベント"

    ''' <summary>
    ''' フォーカスを移動させる。
    ''' </summary>
    ''' <param name="e"></param>
    ''' <remarks></remarks>
    Protected Overrides Sub OnKeyDown(e As System.Windows.Forms.KeyEventArgs)
        MyBase.OnKeyDown(e)
        '
        If e.Handled Then
            Return
        End If
        '
        Select Case e.KeyCode
            Case Keys.Enter
                If Control.ModifierKeys = Keys.Shift Then '前のコントロールへ移動
                    Me.TopLevelControl.SelectNextControl(Me, False, True, True, True) : e.Handled = True
                Else '次のコントロールへ移動
                    Me.TopLevelControl.SelectNextControl(Me, True, True, True, True) : e.Handled = True
                End If
            Case Keys.Up '前のコントロールへ移動
                Me.TopLevelControl.SelectNextControl(Me, False, True, True, True) : e.Handled = True
                '
                e.Handled = True
            Case Keys.Down '次のコントロールへ移動
                Me.TopLevelControl.SelectNextControl(Me, True, True, True, True) : e.Handled = True
            Case Else
                ''
        End Select
    End Sub

#End Region

End Class
